<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Forgot</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="forgotForm" class="ion-padding">
    <ion-item lines="full">
      <ion-label position="floating">Email</ion-label>
      <ion-input type="email" formControlName="email"></ion-input>
    </ion-item>
    <div
      class="app-input-error"
      *ngIf="forgotForm.controls.email.dirty && forgotForm.controls.email.touched"
    >
      <span *ngIf="forgotForm.controls.email.hasError('pattern')"
        >This Email is not valid</span
      >
      <span *ngIf="forgotForm.controls.email.hasError('required')"
        >This Email is required</span
      >
    </div>
    <div class="bs-xs-30"></div>
    <a [routerLink]="['/login']" class="app-link">Back to Login</a>
  </form>
</ion-content>
<ion-footer class="ion-no-border">
  <ion-toolbar>
    <ion-button
      color="primary"
      expand="full"
      [disabled]="!forgotForm.valid"
      (click)="confirmForgotPassword()"
      >Send</ion-button
    >
  </ion-toolbar>
</ion-footer>

<ion-modal [isOpen]="openModal">
  <ng-template>
    <app-confirmation-modal
      class="full-height-modal"
      [data]="data"
      (closeModal)="openModal = false"
      (eventData)="codeEntered($event)"
    ></app-confirmation-modal>
  </ng-template>
</ion-modal>
